# Copyright (c) 2021 Henix, Henix.fr
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

metadata:
  name: demo expressions
variables:
  GLOBAL: I'm global
jobs:
  weekday_job:
    runs-on: windows
    variables:
      DAY_OF_WEEK: Mon
      VERBATIM_1:
        value: Yada
        verbatim: true
    steps:
      - name: "Hello world when it's Monday"
        if: ${{ variables.DAY_OF_WEEK ~= 'o' }}
        run: echo %DAY_OF_WEEK% contains an 'o'
      - run: echo %DAY_OF_WEEK% does not contain an 'a'
        if: (variables.DAY_OF_WEEK ~= 'a') == false
      - run: echo VERBATIM_1 is Yada
        if: variables.VERBATIM_1 == 'Yada'
      - run: echo Should not happen, VERBATIM_1 being Yada
        if: variables.VERBATIM_1 != 'Yada'
      - run: echo "true && ${{ false }}"
      - if: 'true && ${{ false }}'
        run: echo It is true
